## vp8dec vp8dec — Decode VP8 video streams |

## Synopsis

    struct              GstVP8Dec;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseVideoCodec
                         +----GstBaseVideoDecoder
                               +----GstVP8Dec

## Properties

      "deblocking-level"         guint                 : Read / Write
      "noise-level"              guint                 : Read / Write
      "post-processing"          gboolean              : Read / Write
      "post-processing-flags"    GstVP8DecPostProcessingFlags  : Read / Write

## Description

## Synopsis

### Element Information

plugin | vp8
author | David Schleef <ds@entropywave.com>
class | Codec/Decoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-vp8

name | src
direction | source
presence | always
details | video/x-raw-yuv, format=(fourcc)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstVP8Dec

    struct GstVP8Dec;

## Property Details

### The `"deblocking-level"` property

      "deblocking-level"         guint                 : Read / Write

Deblocking level.

Allowed values: <= 16

Default value: 4

### The `"noise-level"` property

      "noise-level"              guint                 : Read / Write

Noise level.

Allowed values: <= 16

Default value: 0

### The `"post-processing"` property

      "post-processing"          gboolean              : Read / Write

Enable post processing.

Default value: FALSE

### The `"post-processing-flags"` property

      "post-processing-flags"    GstVP8DecPostProcessingFlags  : Read / Write

Flags to control post processing.

Default value: Deblock|Demacroblock